#!/bin/bash

KEY=$1
VALUE=$2
D=/usr/local/intigua/vAgentManager/components
F=csclient.cfg

function do_replacement() {
    grep "$KEY" /usr/local/intigua/vAgentManager/components/csclient.cfg
    if [ "$?" == "0" ]; then
        sed -i "s!$KEY: \".*\"!$KEY: \"$VALUE\"!" "$D/$F"
    else
        echo "$KEY: \"$VALUE\"" >> "$D/$F"
    fi
} 

function reload_connector() {
    rm -f "$D/$F.bin"
}

function restart_if_needed() {
    service intigua status > /dev/null 2>&1
    if [ "$?" == "0" ]; then
        service intigua restart
    fi
}

do_replacement && reload_connector && restart_if_needed
